:root{
    --primary-color: #C0C0C2;
    --border-color: #B4B4B4;
    --accent-color: #2448bd;
    --background-color: #0f0f0f;
}

body{
    background: var(--background-color);
    color: var(--primary-color);
    min-height: 100vh;
    margin: 0 auto;
}

#nav-bar {
    position: sticky;
    top: 0;
    width: 80%;
    background-color: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.5rem 1rem;
    border-bottom: 1px solid var(--accent-color);
    margin: 0 auto;
}

.logo {
    margin-left: 0;
    border: 1px solid var(--border-color);
}

.nav-list {
    list-style: none;
    display: flex;
    align-items: center; 
    margin: 0;
    padding: 0;
}

.nav-list li {
    margin-left: 1rem;
}

.nav-list a, .logo a, section a{
    color: var(--primary-color);
    text-decoration: none;
    font-size: 1.3em;
    font-family: 'Satoshi-Light';
}

.nav-list a:hover, .logo a:hover, section a:hover{
    color: var(--accent-color);
    font-family: 'Satoshi-LightItalic';
}

main{
    position: relative;
    top: 50px;
    padding-bottom: 60px;
    font-family: 'satoshi-regular';
}

section {
    border-radius: 8px;
    padding: 20px; /* slightly smaller padding for mobile */
    border-bottom: 1px solid var(--accent-color);
    position: relative;
    text-align: left;
    width: 90%; /* Let it take up 90% on mobile */
    max-width: 1150px; /* Cap it on desktop so it doesn't stretch infinitely */
    margin: 15px auto 0 auto;
    background: transparent;
    font-size: 18px;
}

#main-heading{
    position: relative;
    text-align: center;
    width: 100%;
    margin-left: auto;
    margin-bottom: 4vw;
    top: 50px;
    background: #B4B4B4;
    background: radial-gradient(circle, rgba(180, 180, 180, 1) 20%, rgba(48, 48, 48, 1)) 80%;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

#main-heading h1{
    font-size: 90px;
    font-weight: 700;
    margin-bottom: 10px;
    margin-left: auto;
    color: var(--accent-color);
    font-family: 'Boska-Medium';
}

#main-heading h4{
    font-size: 35px;
    color: var(--accent-color);
    font-family: 'Boska-Medium';
}

.page-heading{
    position: relative;
    text-align: center;
    width: 100%;
    margin-left: auto;
    top: 50px;
}

header h3{
    font-size: 50px;
    color: var(--primary-color);
    font-family: 'Boska-Medium';
}

header h5{
    font-size: 18px;
    color: var(--accent-color);
    font-family: 'satoshi-regular';
}

footer{
    position: relative;
    bottom: 0;
    width: 100%;
    background-color: transparent;
    text-align: center;
    padding: 10px 0;
    
}

#contact-form{
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 50%;
    margin: 0 auto;
}

#contact-form button{
    width: 100px;
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: var(--accent-color);
    color: var(--primary-color);
    font-size: 16px;
    cursor: pointer;
    margin: 0 auto;
}

#contact-form button:hover{
    background-color: #85a805;
}

#contact-form input, #contact-form textarea{
    padding: 10px;
    border: 1px solid var(--border-color);
    border-radius: 5px;
    background-color: transparent;
    color: var(--primary-color);
    font-size: 16px;
}

#contact-form div{
    margin: 0 auto;
}

#disclaimer{
    font-size: 12px;
    color: var(--border-color);
    text-align: center;
    margin-top: 20px;
}

section a{
    text-decoration: underline;
    text-decoration-color: var(--accent-color);
    color: var(--primary-color);
}

#projects{
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

.project-card {
    border: 1px solid var(--border-color);
    border-radius: 8px;
    padding: 15px;
    background-color: transparent;
    color: var(--primary-color);
    text-align: center;
    margin-bottom: 20px;
    
    /* Default to full width on mobile, scale down to 30% on desktop */
    width: 100%; 
    max-width: 350px; 
}

@media (min-width: 768px) {
    section {
        width: 75%;
        padding: 30px;
        font-size: 20px;
    }
    .project-card {
        width: 30%; 
    }
}